
%global meadversion 1.7.0
%global namedversion 1.7.0.redhat-5
%global meadalpha .redhat_5
%global meadrel .1
%global serial 2
%global namedversionrel redhat-5

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}velocity}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.7.0.redhat-5

Name:           %{?scl_prefix}velocity
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Velocity
Group:          Development/Java

%if %with mead
Source100: velocity-1.7.0.redhat-5-scm-sources.zip
Source102: velocity-1.7.0.redhat-5-sources.jar
Source103: velocity-1.7.0.redhat-5.pom
Source104: velocity-1.7.0.redhat-5-project-sources.tar.gz
Source105: velocity-1.7.0.redhat-5-javadoc.jar
Source106: velocity-1.7.0.redhat-5.jar
%endif

License:        ASL 2.0
URL:            http://velocity.apache.org/engine/devel/
Requires:       %{?scl_prefix_eap}commons-collections >= 0:3.2.1
%if 0
Requires:       %{?scl_prefix_eap}commons-lang >= 0:2.4
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache Velocity is a general purpose template engine.

%if %with javadoc
%package javadoc
Summary:        Javadoc for velocity
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n velocity -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/velocity-%{namedversion}.jar %{buildroot}%{_javadir}/velocity-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/velocity-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/velocity-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/velocity-%{namedversion}-sources.jar %{buildroot}%{_javadir}/velocity-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/velocity-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/velocity-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/velocity-%{namedversion} -x META-INF/\*
%{__ln_s} velocity-%{namedversion} %{buildroot}%{_javadocdir}/velocity
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CONTRIBUTORS LICENSE NOTICE README.txt WHY_TWO_JARS.txt
%{_javadir}/velocity-%{namedversion}.jar
%{_javadir}/velocity.jar
%if %with javadoc
%{_javadir}/velocity-%{namedversion}-javadoc.jar
%{_javadir}/velocity-javadoc.jar
%endif
%{_javadir}/velocity-%{namedversion}-sources.jar
%{_javadir}/velocity-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/velocity-%{namedversion}
%{_javadocdir}/velocity
%endif

%changelog
* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.7.0-2.redhat_5.1
- remove commons-lang Requires

* Wed May 27 2015 David Walluck <dwalluck@redhat.com> - 1.7.0-1.redhat_5.1
- release

